Skip to main content
PATCH
/
v1
/
flow
/
agents
/
{agent_id}
/
diff
curl --request PATCH \
  --url https://flow.seekr.com/v1/flow/agents/{agent_id}/diff \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Agent",
  "instructions": "You are a helpful assistant that can search files, browse the web, and run Python code.",
  "model_id": "deployment-123",
  "temperature": 0.4,
  "reasoning_effort": "medium",
  "tool_ids": [
    "tool-123",
    "tool-456"
  ]
}
'
{
  "before": {
    "id": "<string>",
    "name": "<string>",
    "instructions": "<string>",
    "user_id": "<string>",
    "team_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "model_id": "<string>",
    "output": {
      "instructions": "<string>",
      "model_id": "<string>",
      "temperature": 1
    },
    "temperature": 1,
    "planner_temperature": 1,
    "tools": [
      {
        "name": "<string>",
        "tool_env": {
          "FILE_SEARCH_INDEX": "<string>",
          "DOCUMENT_TOOL_DESC": "<string>",
          "EMBEDDING_MODEL": "<string>",
          "TOP_K": 10,
          "SCORE_THRESHOLD": 0
        },
        "id": "<string>"
      }
    ],
    "last_deployed_at": "2023-11-07T05:31:56Z",
    "active_duration": 0
  },
  "after": {
    "id": "<string>",
    "name": "<string>",
    "instructions": "<string>",
    "user_id": "<string>",
    "team_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "model_id": "<string>",
    "output": {
      "instructions": "<string>",
      "model_id": "<string>",
      "temperature": 1
    },
    "temperature": 1,
    "planner_temperature": 1,
    "tools": [
      {
        "name": "<string>",
        "tool_env": {
          "FILE_SEARCH_INDEX": "<string>",
          "DOCUMENT_TOOL_DESC": "<string>",
          "EMBEDDING_MODEL": "<string>",
          "TOP_K": 10,
          "SCORE_THRESHOLD": 0
        },
        "id": "<string>"
      }
    ],
    "last_deployed_at": "2023-11-07T05:31:56Z",
    "active_duration": 0
  },
  "diff": {}
}

Authorizations

Authorization
string
header
required

Seekr API Key without 'Bearer' Prefix

Path Parameters

agent_id
string
required

Body

application/json
name
string | null
instructions
string | null
model_id
string | null
output
AgentOutputConfig · object
temperature
number | null
Required range: 0 <= x <= 2
tool_ids
string[] | null
reasoning_effort
enum<string> | null
Available options:
low,
medium,
high,
speed_optimized,
performance_optimized

Response

Successful Response

before
AgentSchema · object
required
after
AgentSchema · object
required
diff
Diff · object
Last modified on June 18, 2026